summaryrefslogtreecommitdiff
path: root/user/acpid/acpid.initd
diff options
context:
space:
mode:
Diffstat (limited to 'user/acpid/acpid.initd')
-rw-r--r--user/acpid/acpid.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/user/acpid/acpid.initd b/user/acpid/acpid.initd
new file mode 100644
index 000000000..f8076d43b
--- /dev/null
+++ b/user/acpid/acpid.initd
@@ -0,0 +1,19 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+command="/usr/sbin/acpid"
+command_args="${ACPID_ARGS}"
+description="Daemon for Advanced Configuration and Power Interface"
+
+depend() {
+ need localmount
+ use logger
+}
+
+reload() {
+ ebegin "Reloading acpid configuration"
+ start-stop-daemon --exec $command --signal HUP
+ eend $?
+}